PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::InternalCacheNode< DIMS, dir > Struct Template Reference

Instances of this template represents all internal nodes of cache. More...

Inheritance diagram for plask::InternalCacheNode< DIMS, dir >:
[legend]
Collaboration diagram for plask::InternalCacheNode< DIMS, dir >:
[legend]

## Public Member Functions
| InternalCacheNode (const double &offset, SpatialIndexNode< DIMS > *lo, SpatialIndexNode< DIMS > *hi)
shared_ptr< Material > | getMaterial (const Vec< DIMS > &p) const override
bool | contains (const Vec< DIMS > &p) const override
GeometryObject::Subtree | getPathsAt (shared_ptr< const GeometryObject > caller, const Vec< DIMS > &p, bool all) const override
virtual | ~InternalCacheNode ()
Public Member Functions inherited from plask::SpatialIndexNode< DIMS >
virtual | ~SpatialIndexNode ()

## Public Attributes
double | offset
| split coordinate
SpatialIndexNode< DIMS > * | lo
| contains all objects which has lower coordinate < offset
SpatialIndexNode< DIMS > * | hi
| contains all objects which has higher coordinate >= offset

## Detailed Description

template<int DIMS, int dir>
struct plask::InternalCacheNode< DIMS, dir >

Instances of this template represents all internal nodes of cache.

Definition at line 122 of file spatial_index.cpp.

## Constructor & Destructor Documentation

## ◆ InternalCacheNode()

template<int DIMS, int dir>

plask::InternalCacheNode< DIMS, dir >::InternalCacheNode | ( | const double & | offset,
|  | SpatialIndexNode< DIMS > * | lo,
|  | SpatialIndexNode< DIMS > * | hi
| ) |  |
| inline

Definition at line 128 of file spatial_index.cpp.

## ◆ ~InternalCacheNode()

template<int DIMS, int dir>

virtual plask::InternalCacheNode< DIMS, dir >::~InternalCacheNode | ( |  | ) |
| inline virtual

Definition at line 144 of file spatial_index.cpp.

## Member Function Documentation

## ◆ contains()

template<int DIMS, int dir>

bool plask::InternalCacheNode< DIMS, dir >::contains | ( | const Vec< DIMS > & | p | ) | const
| inline override virtual

Implements plask::SpatialIndexNode< DIMS >.

Definition at line 136 of file spatial_index.cpp.

## ◆ getMaterial()

template<int DIMS, int dir>

shared_ptr< Material > plask::InternalCacheNode< DIMS, dir >::getMaterial | ( | const Vec< DIMS > & | p | ) | const
| inline override virtual

Implements plask::SpatialIndexNode< DIMS >.

Definition at line 132 of file spatial_index.cpp.

## ◆ getPathsAt()

template<int DIMS, int dir>

GeometryObject::Subtree plask::InternalCacheNode< DIMS, dir >::getPathsAt | ( | shared_ptr< const GeometryObject > | caller,
|  | const Vec< DIMS > & | p,
|  | bool | all
| ) |  | const
| inline override virtual

Implements plask::SpatialIndexNode< DIMS >.

Definition at line 140 of file spatial_index.cpp.

## Member Data Documentation

## ◆ hi

template<int DIMS, int dir>

SpatialIndexNode<DIMS>* plask::InternalCacheNode< DIMS, dir >::hi

contains all objects which has higher coordinate >= offset

Definition at line 126 of file spatial_index.cpp.

## ◆ lo

template<int DIMS, int dir>

SpatialIndexNode<DIMS>* plask::InternalCacheNode< DIMS, dir >::lo

contains all objects which has lower coordinate < offset

Definition at line 125 of file spatial_index.cpp.

## ◆ offset

template<int DIMS, int dir>

double plask::InternalCacheNode< DIMS, dir >::offset

split coordinate

Definition at line 124 of file spatial_index.cpp.

The documentation for this struct was generated from the following file:

- plask/geometry/spatial_index.cpp